sc::PsiInput(3)

NAME
sc::PsiInput - PsiInput is a Psi input file.

SYNOPSIS

#include <psiinput.h>

Inherits sc::RefCount.

  Public Methods
PsiInput (const string &name)
~PsiInput ()
void open ()
void close ()
void print (std::ostream &)
void begin_section (const char *s)
void end_section ()
void write_indent ()
void incindent (int)
void decindent (int)
void write_comment (const char *)
void write_keyword (const char *, const char *)
void write_keyword (const char *, int)
void write_keyword (const char *, double)
void write_keyword_array (const char *, int, int *)
void write_keyword_array (const char *, int, double *)
void write_string (const char *)
void write_key_wq (const char *, const char *)
void write_basis (const Ref< GaussianBasisSet > &)
Construct the 'basis' keyword for input.
void write_basis_sets (const Ref< GaussianBasisSet > &)
Write basis sets explicitly.
void write_geom (const Ref< Molecule > &)
void write_defaults (const Ref< PsiExEnv > &, const char *dertype)

DETAILED DESCRIPTION

PsiInput is a Psi input file.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.